=== debian/changelog ===
coda (2.20-2) unstable; urgency=medium

  * Bump lib symlink. libcoda.so -> libcoda.so.14.0.4
  * Java compiler JDK11 ICEs on ppc64el, so skip java package here

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 08:51:03 +0000

coda (2.20-1) unstable; urgency=medium

  * New upstream release:
      libcoda14.0.4 -> libcoda15.0.0
  * Add watch file
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Jan 2019 14:19:58 +0000
