=== debian/control ===
Source: coda
Section: utils
Priority: optional
Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 11), 
 dh-buildinfo, 
 dh-python,
 python3-all,
 python3-numpy,
 libnetcdf-dev, netcdf-bin,
 libhdf5-dev | libhdf5-serial-dev, 
 libaec-dev,
 libpcre3-dev,
 libexpat1-dev,
 libhdf4-alt-dev,
 python3-all-dev,
 zlib1g-dev,
 swig,
 default-jdk-headless [ !ppc64el ]
Standards-Version: 4.3.0
Homepage: https://github.com/stcorp/coda
Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
Vcs-Git: https://salsa.debian.org:/science-team/coda.git

Package: coda
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcoda15 ( = ${binary:Version})
Recommends: python3-coda
Description: Common Data Access framework for Earth science
 The Common Data Access framework allows reading of scientific data
 to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
 netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.

Package: libcoda15
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Library for the Common Data Access framework for Earth science
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.

Package: libcoda-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcoda15 (= ${binary:Version})
Multi-Arch: same
Description: Development files for the CODA framework for Earth sciences
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains files needed to develop C and Fortran programs 
 against CODA.

Package: libcoda-java
Section: java
Architecture: all
Multi-Arch: foreign
Depends: libcoda-jni (>= ${binary:Version}), ${misc:Depends}, ${java:Depends}
Description: Java interface for Common Data Access Framework
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains Java files needed to use the CODA framework.

Package: libcoda-jni
Section: java
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libcoda-dev (= ${binary:Version}), ${shlibs:Depends}
Description: Java Native interface for Common Data Access Framework
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains Java Native Interface (JNI) needed to use CODA.

Package: python3-coda
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python:Provides}
Description: Python3 interface for CODA science formats library
 The Common Data Access framework allows reading of scientific data
 from various data formats, including structured ascii, structured binary, XML,
 netCDF, CDF, HDF4, HDF5, GRIB, RINEX and SP3. It provides a single consistent
 hierarchical view on data independent of the underlying storage format.
 .
 This package contains Python3 wrappers to use the CODA framework.
