## coda 2.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.20)
+set(VERSION 2.21)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 15)
-set(LIBCODA_REVISION 0)
+set(LIBCODA_REVISION 1)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})
@@ -87,6 +87,7 @@
   set(MATLAB_PREFIX lib/coda/matlab)
   set(IDL_PREFIX lib/coda/idl)
   set(JAVA_PREFIX share/coda/java)
+  set(CODADEF_PREFIX share/coda/definitions)
   if(WIN32)
     # we use a different installation directory structure on Windows
     if(CODA_ENABLE_CONDA_INSTALL)
@@ -98,6 +99,7 @@
       set(MATLAB_PREFIX Library/lib/coda/matlab)
       set(IDL_PREFIX Library/lib/coda/idl)
       set(JAVA_PREFIX Library/share/coda/java)
+      set(CODADEF_PREFIX Library/share/coda/definitions)
     else(CODA_ENABLE_CONDA_INSTALL)
       set(DOC_PREFIX doc)
       set(PYTHON_PREFIX python/coda)
@@ -236,7 +238,8 @@
   endif(NOT HDF5_FOUND)
 endif(CODA_WITH_HDF5)
 
-include_directories(BEFORE ${CODA_BINARY_DIR} ${CODA_BINARY_DIR}/libcoda ${CODA_SOURCE_DIR}/libcoda)
+include_directories(BEFORE ${CODA_SOURCE_DIR}/libcoda)
+include_directories(BEFORE ${CODA_BINARY_DIR} ${CODA_BINARY_DIR}/libcoda)
 
 add_definitions(-DHAVE_CONFIG_H)
 
@@ -372,8 +375,3 @@
   libcoda/expat/asciitab.h
   libcoda/expat/coda_expat_mangle.h
   libcoda/expat/expat.h
-  libcoda/expat/expat_external.h
-  libcoda/expat/iasciitab.h
-  libcoda/expat/internal.h
-  libcoda/expat/latin1tab.h
-  libcoda/expat/nametab.h
