=== debian/changelog ===
coda (2.21-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:17 +0100

coda (2.21-3) unstable; urgency=medium

  *  Add d/gdb.conf file
  * Support multiple python3 versions. Closes: #643631
  * Ship html docs in -dev pkg
  * -dev package now depends on libjs-jquery

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Oct 2019 08:14:03 +0000

coda (2.21-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)
  * Patch from Chris Lamb to fix reproducibility. Closes: #926301
  * examples-paths.patch: Make multi-arch safe (no libdir paths)

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Sep 2019 11:26:15 +0100

coda (2.21-1) unstable; urgency=medium

  * New upstream release
  * Bump lib symlink. libcoda.so -> libcoda.so.15.0.1
  * Build-depend on bison, flex

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Apr 2019 15:38:00 +0100

coda (2.20-3) unstable; urgency=medium

  * Split building of coda.jar into dh_auto_build-indep. Closes: #920191
  * d/control: descriptions fixed. Closes: #915080

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Jan 2019 07:08:09 +0000
