=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 11), 
+Build-Depends: debhelper-compat (= 12), 
  dh-buildinfo, 
  dh-python,
  python3-all,
@@ -17,8 +17,10 @@
  python3-all-dev,
  zlib1g-dev,
  swig,
- default-jdk-headless [ !ppc64el ]
-Standards-Version: 4.3.0
+ bison,
+ flex,
+ default-jdk-headless
+Standards-Version: 4.4.0
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
 Vcs-Git: https://salsa.debian.org:/science-team/coda.git
@@ -48,7 +50,7 @@
 Package: libcoda-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcoda15 (= ${binary:Version})
+Depends: ${misc:Depends}, libcoda15 (= ${binary:Version}), libjs-jquery
 Multi-Arch: same
 Description: Development files for the CODA framework for Earth sciences
  The Common Data Access framework allows reading of scientific data
