=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --with python3 --builddirectory=debian/build

# Java FTBFS with JDK 11, so skip build here
NO_JAVA_ARCH:= ppc64el

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libcoda-dev.links libcoda15.links libcoda-jni.install

HDF5_DIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

PY3DEFAULT:=$(shell py3versions --default)
PY3OTHERS=`py3versions --supported | sed -e 's%${PY3DEFAULT}%%'  `

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	mkdir debian/build
	(cd debian/build && ../../configure --prefix=/usr --libdir=$(LIBDIR) \
		--disable-dependency-tracking \
	        --enable-java \
		--enable-python \
		--with-hdf4 \
		--with-hdf5 \
		PYTHON=$(PY3DEFAULT) \
		JAVA_HOME='/usr/lib/jvm/default-java' \
		HDF4_INCLUDE=/usr/include/hdf \
		HDF5_INCLUDE=$(HDF5_DIR)/include \
		HDF5_LIB=$(HDF5_DIR)/lib \
		HDF4_LIB=/usr/lib ) 
	for p in ${PY3OTHERS} ; do \
		mkdir debian/build/$$p ; \
		(cd debian/build/$$p && ../../../configure --prefix=/usr --libdir=$(LIBDIR) \
			--disable-dependency-tracking \
	        	--enable-java \
			--enable-python \
			--with-hdf4 \
			--with-hdf5 \
			PYTHON=$$p \
			JAVA_HOME='/usr/lib/jvm/default-java' \
			HDF4_INCLUDE=/usr/include/hdf \
			HDF5_INCLUDE=$(HDF5_DIR)/include \
			HDF5_LIB=$(HDF5_DIR)/lib ) ; \
		done

override_dh_auto_build:
	dh_auto_build --builddirectory=debian/build
	for p in ${PY3OTHERS} ; do \
		dh_auto_build --builddirectory=debian/build/$$p ; \
		done

# Split this out, as it fails to build on ppc64el with openjdk11. #920191
override_dh_auto_build-indep:
	$(MAKE) -C debian/build java/coda.jar

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/build
	for p in ${PY3OTHERS} ; do \
		dh_auto_install --builddirectory=debian/build/$$p ; \
		done
	find debian -name '*.la' -delete
	find debian -name jquery.js -delete

override_dh_installexamples:
	sed -i -e 's@ [^ ]*-f\(file\|debug\)-prefix-map=[^ ]*@@g' \
		$(DESTDIR)/usr/share/coda/fortran/Makefile
	dh_installexamples

override_dh_auto_clean:
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	dh_auto_clean || true
