=== debian/changelog ===
coda (2.21.1-1build2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:01:22 +0100

coda (2.21.1-1build1) groovy; urgency=medium

  * No-change rebuild against libhdf5-103-1

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 13 May 2020 17:46:20 +0000

coda (2.21.1-1) unstable; urgency=medium

  * New upstream release
    - library minor version now 15.0.2

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Apr 2020 14:59:13 +0100

coda (2.21-4) unstable; urgency=medium

  * Use dh-sequence-python3 not --with python3
  * Standards-Version: 4.5.0
  * Close bug properly: Closes: #943631

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Mar 2020 09:48:42 +0000
