=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 12), 
  dh-buildinfo, 
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-numpy,
  libnetcdf-dev, netcdf-bin,
@@ -20,7 +20,7 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
 Vcs-Git: https://salsa.debian.org:/science-team/coda.git
