=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # The magic debhelper  rule
 %:
-	dh $@ --with python3 --builddirectory=debian/build
+	dh $@ --builddirectory=debian/build
 
 # Java FTBFS with JDK 11, so skip build here
 NO_JAVA_ARCH:= ppc64el
