## coda 2.21.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.21.1)
+set(VERSION 2.21.2)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 15)
-set(LIBCODA_REVISION 2)
+set(LIBCODA_REVISION 3)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})
