=== debian/changelog ===
coda (2.21.2-1) unstable; urgency=medium

  * New upstream release
  * Set d/gbp.conf to point to DEP-14 branches
  * Point Vcs-Git to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Nov 2020 10:13:37 +0000

coda (2.21.1-2) unstable; urgency=medium

  * Move to debhelper 13
  * Use subst vars in dh files rather than autogenerated files

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Jul 2020 11:38:56 +0100
