=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12), 
+Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo, 
  dh-sequence-python3,
  python3-all,
@@ -23,7 +23,7 @@
 Standards-Version: 4.5.0
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
-Vcs-Git: https://salsa.debian.org:/science-team/coda.git
+Vcs-Git: https://salsa.debian.org:/science-team/coda.git -b debian/latest
 
 Package: coda
 Section: utils
