=== debian/changelog ===
coda (2.22-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 May 2021 14:59:57 +0100
