=== debian/changelog ===
coda (2.22.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Jun 2021 09:25:42 +0100
