=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
 Vcs-Git: https://salsa.debian.org:/science-team/coda.git -b debian/latest
