## coda 2.22.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(CODA)
 
-set(VERSION 2.22.1)
+set(VERSION 2.22.2)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
@@ -176,8 +176,9 @@
 # Check for thread-local storage (TLS) keyword
 if(NOT DEFINED THREAD_LOCAL)
   message(STATUS "Check for thread local keyword")
+  set(CMAKE_REQUIRED_QUIET_SAVE ${CMAKE_REQUIRED_QUIET})
+  set(CMAKE_REQUIRED_QUIET True)
   foreach(keyword IN ITEMS "thread_local" "_Thread_local" "__thread" "__declspec(thread)")
-    set(CMAKE_REQUIRED_QUIET True)
     check_c_source_compiles("int main(void) { static ${keyword} int bar; return 0; }" Thread_Local_Keyword)
     if(${Thread_Local_Keyword})
       unset(Thread_Local_Keyword CACHE)
@@ -187,6 +188,7 @@
     endif()
     unset(Thread_Local_Keyword CACHE)
   endforeach()
+  set(CMAKE_REQUIRED_QUIET ${CMAKE_REQUIRED_QUIET_SAVE})
   if(NOT DEFINED THREAD_LOCAL)
     message(STATUS "Check for thread local keyword - not found")
     set(THREAD_LOCAL "" CACHE STRING "Thread-local storage (TLS) keyword")
@@ -371,7 +373,3 @@
 endif(CODA_WITH_HDF5)
 
 set(LIBEXPAT_SOURCES
-  libcoda/expat/ascii.h
-  libcoda/expat/asciitab.h
-  libcoda/expat/coda_expat_mangle.h
-  libcoda/expat/expat.h
