=== debian/changelog ===
coda (2.22.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 Oct 2021 10:26:02 +0000

coda (2.22.2-1) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Oct 2021 12:12:31 +0100
