=== debian/changelog ===
coda (2.23-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Dec 2021 08:18:17 +0000
