## coda 2.23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 2.8.8)
+cmake_minimum_required(VERSION 2.8.12)
 if(POLICY CMP0075)
   cmake_policy(SET CMP0075 NEW)
 endif()
 
 project(CODA)
 
-set(VERSION 2.23)
+set(VERSION 2.23.1)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
