=== debian/changelog ===
coda (2.23.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Feb 2022 09:20:56 +0000
