=== debian/changelog ===
coda (2.24.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 May 2022 13:44:41 +0100
