=== debian/changelog ===
coda (2.24.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1
  * Added Rules-Require-Root: no

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Dec 2022 13:46:13 +0000
