=== debian/changelog ===
coda (2.24.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Feb 2023 13:45:43 +0000
