=== debian/control ===
--- 
+++ 
@@ -20,7 +20,8 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
 Vcs-Git: https://salsa.debian.org:/science-team/coda.git -b debian/latest
