=== debian/changelog ===
coda (2.25-1) unstable; urgency=medium

  * New upstream release
  * Transition prce3->pcre2. Closes: #10000090
  * Standards-Version: 4.6.2
  * Close false-positive on netcdf-not-used. Closes: #1050779

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Sep 2023 14:06:24 +0100
