=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: coda
 Section: utils
 Priority: optional
-Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo, 
@@ -11,7 +12,7 @@
  libnetcdf-dev, netcdf-bin,
  libhdf5-dev | libhdf5-serial-dev, 
  libaec-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libexpat1-dev,
  libhdf4-alt-dev,
  python3-all-dev,
@@ -20,7 +21,7 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
