## coda 2.25.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.12.4)
 if(POLICY CMP0075)
   cmake_policy(SET CMP0075 NEW)
 endif()
 
 project(CODA)
 
-set(VERSION 2.25.1)
+set(VERSION 2.25.2)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
-set(LIBCODA_CURRENT 15)
+set(LIBCODA_CURRENT 16)
 set(LIBCODA_REVISION 8)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
@@ -71,12 +71,11 @@
 
 if(NOT CODA_BUILD_SUBPACKAGE_MODE)
   if(CODA_BUILD_PYTHON)
-    find_package(PythonInterp)
-    if(NOT PYTHONINTERP_FOUND)
-      message(FATAL_ERROR "PYTHON interpreter not found.")
-    endif(NOT PYTHONINTERP_FOUND)
-    execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import sys; from distutils import sysconfig; sys.stdout.write(sysconfig.get_python_lib(1,0,prefix=''))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
-    set(CODA_PYTHON_INSTALL_DIR "${PYTHON_INSTALL_DIR}" CACHE STRING "Install location for CODA Python package")
+    find_package(Python COMPONENTS Interpreter)
+    if(NOT Python_Interpreter_FOUND)
+      message(FATAL_ERROR "Python interpreter not found.")
+    endif(NOT Python_Interpreter_FOUND)
+    set(CODA_PYTHON_INSTALL_DIR "${Python_SITEARCH}" CACHE STRING "Install location for CODA Python package")
   endif()
 
   set(BIN_PREFIX bin)
@@ -373,3 +372,9 @@
 endif(CODA_WITH_HDF5)
 
 set(LIBEXPAT_SOURCES
+  libcoda/expat/ascii.h
+  libcoda/expat/asciitab.h
+  libcoda/expat/coda_expat_mangle.h
+  libcoda/expat/expat.h
+  libcoda/expat/expat_external.h
+  libcoda/expat/iasciitab.h
