=== debian/changelog ===
coda (2.25.2-2) unstable; urgency=medium

  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * Fix FTBFS with g++-14.patch (pointer casting).  Closes: #1074886

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Jul 2024 12:54:31 +0100

coda (2.25.2-1.1) unstable; urgency=medium

  * Patch to fix FTBFS with HDF 4.3.0. Thanks to Bas Couwenberg
    Closes: #1068369

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Apr 2024 10:00:40 +0200

coda (2.25.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Mar 2024 08:05:21 +0000
