=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: coda
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo, 
  dh-sequence-python3,
  python3-all,
  python3-numpy,
- libnetcdf-dev, netcdf-bin,
  libhdf5-dev | libhdf5-serial-dev, 
  libaec-dev,
  libpcre2-dev,
@@ -21,11 +19,11 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/stcorp/coda
-Vcs-Browser: https://salsa.debian.org:/science-team/coda.git
-Vcs-Git: https://salsa.debian.org:/science-team/coda.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/coda.git
+Vcs-Git: https://salsa.debian.org/science-team/coda.git -b debian/latest
 
 Package: coda
 Section: utils
