## coda 2.25.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.25.2)
+set(VERSION 2.25.3)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 16)
-set(LIBCODA_REVISION 8)
+set(LIBCODA_REVISION 9)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})
@@ -59,6 +59,7 @@
 endif(CODA_ENABLE_HDF4_VDATA_ATTRIBUTES)
 
 # settings for expat
+set(XML_GE 1)
 set(XML_NS 1)
 set(XML_DTD 1)
 set(XML_LARGE_SIZE 1)
@@ -377,4 +378,3 @@
   libcoda/expat/coda_expat_mangle.h
   libcoda/expat/expat.h
   libcoda/expat/expat_external.h
-  libcoda/expat/iasciitab.h
