=== debian/changelog ===
coda (2.25.3-3build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 10:51:33 +0000

coda (2.25.3-3) unstable; urgency=medium

  * Add libcoad16.preinst to fix conflict by removing libcoda16 library
    in libcoda15 pkg. Closes: #1093035`

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Jan 2025 06:27:08 +0000

coda (2.25.3-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Jan 2025 13:40:10 +0000

coda (2.25.3-1) experimental; urgency=medium

  * New upstream release
  *  Bump libcoda15 -> libcoda16
  * Drop B-D on dh-buildinfo

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Jan 2025 10:35:58 +0000
