## coda 2.25.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(CODA)
 
-set(VERSION 2.25.3)
+set(VERSION 2.25.4)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBCODA_CURRENT 16)
-set(LIBCODA_REVISION 9)
+set(LIBCODA_REVISION 10)
 set(LIBCODA_AGE 0)
 math(EXPR LIBCODA_MAJOR "${LIBCODA_CURRENT} - ${LIBCODA_AGE}")
 set(LIBCODA_MINOR ${LIBCODA_AGE})
