=== debian/changelog ===
coda (2.25.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Feb 2025 13:37:28 +0000
