=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: coda
 Section: utils
 Priority: optional
-Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
- dh-buildinfo, 
  dh-sequence-python3,
  python3-all,
  python3-numpy,
@@ -28,14 +27,14 @@
 Package: coda
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libcoda15 ( = ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libcoda16 ( = ${binary:Version})
 Recommends: python3-coda
 Description: Common Data Access framework for Earth science
  The Common Data Access framework allows reading of scientific data
  to manipulate and analyse Climate model Data.  Supported data formats are GRIB, 
  netCDF, SERVICE, EXTRA and IEG. There are more than 400 operators available.
 
-Package: libcoda15
+Package: libcoda16
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -50,7 +49,7 @@
 Package: libcoda-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcoda15 (= ${binary:Version}), libjs-jquery
+Depends: ${misc:Depends}, libcoda16 (= ${binary:Version}), libjs-jquery
 Multi-Arch: same
 Description: Development files for the CODA framework for Earth sciences
  The Common Data Access framework allows reading of scientific data
