## coda 2.25.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(CODA)
 
-set(VERSION 2.25.4)
+set(VERSION 2.25.5)
 set(CODA_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
