=== debian/changelog ===
coda (2.25.5-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * g++-14.patch: merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Mar 2025 08:19:57 +0000
