=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  bison,
  flex,
  default-jdk-headless
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/stcorp/coda
 Vcs-Browser: https://salsa.debian.org/science-team/coda.git
