=== debian/changelog ===
coda (2.25.6-2) unstable; urgency=medium

  * Push to unstable. Closes: #1108640

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 16:21:23 +0100

coda (2.25.6-2~exp1) experimental; urgency=medium

  * Switch to libhdf4 for 4.3.1 transition
  * Drop hdf4-alt-libs.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Jul 2025 11:55:32 +0100

coda (2.25.6-1) experimental; urgency=medium

  * New upstream release
  * implicit-fn-declaration.patch: merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Jun 2025 11:41:15 +0100
