=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libaec-dev,
  libpcre2-dev,
  libexpat1-dev,
- libhdf4-alt-dev,
+ libhdf4-dev,
  python3-all-dev,
  zlib1g-dev,
  swig,
