=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 DESTDIR:=`pwd`/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
-AUTOGENERATED:= libcoda-dev.links libcoda15.links libcoda-jni.install
 
 HDF5_DIR:=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
 
@@ -20,9 +19,6 @@
 PY3OTHERS=`py3versions --supported | sed -e 's%${PY3DEFAULT}%%'  `
 
 override_dh_auto_configure:
-	for f in ${AUTOGENERATED} ; do \
-                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
-                done
 	mkdir debian/build
 	(cd debian/build && ../../configure --prefix=/usr --libdir=$(LIBDIR) \
 		--disable-dependency-tracking \
@@ -66,15 +62,10 @@
 	for p in ${PY3OTHERS} ; do \
 		dh_auto_install --builddirectory=debian/build/$$p ; \
 		done
-	find debian -name '*.la' -delete
-	find debian -name jquery.js -delete
+	find debian -name '*.la' -delete -o -name jquery.js -delete
 
 override_dh_installexamples:
 	sed -i -e 's@ [^ ]*-f\(file\|debug\)-prefix-map=[^ ]*@@g' \
 		$(DESTDIR)/usr/share/coda/fortran/Makefile
 	dh_installexamples
 
-override_dh_auto_clean:
-	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
-	dh_auto_clean || true
-
